StatsHub Docs
APIAPI v2V2 endpoint referenceAlerts

/me/alert-preferences

Update the caller's live alert preferences

PATCH
/me/alert-preferences

Update the caller's live alert preferences

Authorization

AuthorizationBearer <token>

Supabase access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/me/alert-preferences" \  -H "Content-Type: application/json" \  -d '{    "lines": {      "fivePlusFouls": true,      "fourFouls": true,      "threeFouls": true,      "twoFouls": true,      "yellowCards": true    },    "mutedCompetitions": [      "string"    ]  }'
{  "data": {    "active": true,    "eligible": true,    "lines": {      "fivePlusFouls": true,      "fourFouls": true,      "threeFouls": true,      "twoFouls": true,      "yellowCards": true    },    "mutedCompetitions": [      {        "id": "string",        "name": "string",        "slug": "string"      }    ],    "telegramLinked": true  }}